Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1688797

Summary: Review Request: python-absl-py Abseil Python Common Libraries
Product: [Fedora] Fedora Reporter: ruslan <ruslanpisarev>
Component: Package ReviewAssignee: Elliott Sales de Andrade <quantum.analyst>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: package-review, quantum.analyst
Target Milestone: ---Flags: quantum.analyst: fedora-review?
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 177841    

Description ruslan 2019-03-14 13:20:15 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/rpisarev/tensorflow/fedora-30-x86_64/00867891-python-absl-py/python-absl-py.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/rpisarev/tensorflow/fedora-30-x86_64/00867891-python-absl-py/python-absl-py-0.7.0-1.fc30.src.rpm

Description:
A repository is a collection of Python library code for building Python applications. The code is collected from Google's own Python code base, and has been extensively tested and used in production.

PyPI: https://pypi.org/project/absl-py/
Documentation: https://github.com/abseil/abseil-py

Comment 1 Elliott Sales de Andrade 2019-03-15 07:32:28 UTC
Please remove the Python 2 subpackage.

Comment 3 Elliott Sales de Andrade 2019-03-16 08:32:06 UTC
- The correct license identifier for Apache is ASL 2.0:
  https://fedoraproject.org/wiki/Licensing:Main#Software_License_List
- Summary is incomplete
- Please fix the description; it is a jumble of various sentences and
  image captions.
- You can remove the manual Requires and use the automatic generator. You
  can also enable it on older releases if you are building there as well:
  https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_automatically_generated_dependencies
- Relatedly, enum34 is not necessary for Python 3.7 and is not even
  available. Consequently, this package cannot be installed.
- For a source from PyPI, you can use the whole tarball URL with
  %pypi_source
- Add %license LICENSE to %files
- You should be able to delete the third_party/ directory that bundles
  backports for Python 2.
- 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 13 files have unknown license. Detailed
     output of licensecheck in 1688797-python-absl-py/licensecheck.txt
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.14 starting (python version = 3.7.2)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.14
INFO: Mock Version: 1.4.14
Finish: chroot init
INFO: installing package(s): /home/elliott/rpmbuild/review/1688797-python-absl-py/results/python3-absl-py-0.7.1-2.fc30.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 31 --disableplugin=local --setopt=deltarpm=False install /home/elliott/rpmbuild/review/1688797-python-absl-py/results/python3-absl-py-0.7.1-2.fc30.noarch.rpm



Rpmlint
-------
Checking: python3-absl-py-0.7.1-2.fc30.noarch.rpm
          python-absl-py-0.7.1-2.fc30.src.rpm
python3-absl-py.noarch: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
python3-absl-py.noarch: W: spelling-error %description -l en_US commandline -> command line, command-line, commandment
python3-absl-py.noarch: W: invalid-license Apache 2.0
python-absl-py.src: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
python-absl-py.src: W: spelling-error %description -l en_US commandline -> command line, command-line, commandment
python-absl-py.src: W: invalid-license Apache 2.0
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Requires
--------
python3-absl-py (rpmlib, GLIBC filtered):
    python(abi)
    python3.7dist(six)
    python3dist(enum34)
    python3dist(six)



Provides
--------
python3-absl-py:
    python3-absl-py
    python3.7dist(absl-py)
    python3dist(absl-py)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/a/absl-py/absl-py-0.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : b943d1c567743ed0455878fcd60bc28ac9fae38d129d1ccfad58079da00b8951
  CHECKSUM(SHA256) upstream package : b943d1c567743ed0455878fcd60bc28ac9fae38d129d1ccfad58079da00b8951


Generated by fedora-review 0.6.1 (29df316) last change: 2019-03-10
Command line :/home/elliott/code/FedoraReview/try-fedora-review -m fedora-rawhide-x86_64 -b 1688797
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, BATCH, EPEL7, EPEL6